Bug 618401 - QMF: jobserver schemas should be consolidated
QMF: jobserver schemas should be consolidated
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
1.3
All Linux
low Severity high
: 2.1
: ---
Assigned To: Pete MacKinnon
MRG Quality Engineering
: Reopened
Depends On: 618418
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-26 16:36 EDT by Pete MacKinnon
Modified: 2011-08-31 08:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-25 09:07:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete MacKinnon 2010-07-26 16:36:03 EDT
Redundant jobserver XML schema is declared in 2 different files. These definitions should be combined:

1) for maintenance
2) qpid-tool discriminates between package:classes of different schema hash keys
Comment 1 Pete MacKinnon 2010-07-26 16:37:09 EDT
jross confirms that this shortcoming has no impact on cumin/mint
Comment 2 Pete MacKinnon 2010-07-26 16:39:35 EDT
Hmmm...but the scheduler ref by necessity has to be different between these. One is a parent of the scheduler class, the standalone is synthesized.
Comment 3 Pete MacKinnon 2010-12-09 10:43:57 EST
Moving to 2.0 milestone. This work will be done as part of the contribution project for QMF upstream in Condor 7.6.
Comment 5 RHEL Product and Program Management 2011-03-17 10:45:32 EDT
Quality Engineering Management has reviewed and declined this request.  You may
appeal this decision by reopening this request.
Comment 7 Pete MacKinnon 2011-08-25 09:07:38 EDT
Nice to have but not a strategic necessity considering our future integration directions for Condor (e.g., Aviary).

Note You need to log in before you can comment on or make changes to this bug.